<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta content="ie=edge" http-equiv="X-UA-Compatible">
    <title>Application météo</title>
    <link href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@48,400,0,0"
          rel="stylesheet"/>
    <link rel="stylesheet" href="app.css">
    <style>
        * {
            font-family: "Helvetica Neue", monospace;
        }
    </style>
    <script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>
    <script src="https://cdn.tailwindcss.com"></script>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        'pale-pink': '#fcf8f9',
                    },
                    fontSize: {
                        '10xl': '15rem',
                        '20xl': '30rem',
                    }
                }
            }
        }
    </script>
    <script defer src="app.js" type="module"></script>
    <script defer src="https://maps.googleapis.com/maps/api/js?key=YOUR_KEY&callback=initMap"></script>

</head>
<body>
<div class="grid grid-cols-4 w-screen h-screen overflow-hidden">
    <div class="absolute z-50 top-0 right-0 w-1/4 h-full" id="map"></div>
    <div class="col-span-3 h-full bg-pale-pink relative p-4 overflow-hidden">
        <nav class="flex justify-between items-center absolute z-50 top-0 left-0 w-full p-4 bg-transparent text-sm"
             id="menu">
            <div class="rounded-full border border-1 border-black px-2 py-1">
                <label>
                    Rechercher une ville:
                    <input id="city" type="text" class="bg-transparent">
                </label>
            </div>
            <span class="font-semibold underline text-lg" id="forecast-date"></span>
            <button id="openMap" class="rounded-full border border-1 border-black px-2 py-1">Choisir sur la carte</button>
        </nav>
        <div id="today-forecast" class="relative pointer-events-none select-none"></div>
        <div class="grid grid-cols-7" id="week-forecast"></div>
    </div>
    <div class="col-span-1 h-full bg-white overflow-y-scroll">
        <ul id="hourly-forecast" class="space-y-4 px-4 py-8"></ul>
    </div>
</div>
</body>
</html>